EUARE-GROUPADDPOLICY(1)

NAME
euare-groupaddpolicy - Add a new policy to a group. To add more complex policies than this tool supports, see euare-groupuploadpolicy(1).

SYNOPSIS
euare-groupaddpolicy -p POLICY -e {Allow,Deny} -a ACTIONS -r RESOURCES

[-o] [--as-account ACCOUNT] [-U URL]
    [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] GROUP

DESCRIPTION
Add a new policy to a group. To add more complex policies than this tool supports, see euare-groupuploadpolicy(1).

  positional arguments:

GROUP
    group to attach the policy to (required)

  optional arguments:

-p POLICY, --policy-name POLICY
    name of the new policy (required)

-e {Allow,Deny}, --effect {Allow,Deny}
    whether the new policy should Allow or Deny (required)

-a ACTIONS, --action ACTIONS
    action(s) the policy should apply to (at least one required)

-r RESOURCES, --resource RESOURCES
    resource(s) the policy should apply to (at least one required)

-o, --output
    display the newly-created policy

--as-account ACCOUNT
    [Eucalyptus cloud admin only] run this command as the administrator of another account

-U URL, --url URL
    identity service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit